using System;
using Newtonsoft.Json;

namespace isnd.Interfaces
{
    public interface IObject

    {
        [JsonProperty("@type")]
        public string Type { get => GetType().Name; }
        
        [JsonProperty("commitId")]
        string CommitId { get; }

        [JsonProperty("commitTimeStamp")]
        DateTime CommitTimeStamp { get; }
    }
}